package utils

import (
	"crypto/hmac"
	"crypto/md5"
	"encoding/hex"
)

func generateHMAC(key string, data string) string {
	mac := hmac.New(md5.New, []byte(key))

	mac.Write([]byte(data))

	return hex.EncodeToString(mac.Sum(nil))
}

func GenerateVerifyKey(key string) string {
	return generateHMAC(key, key)
}

func GeneratePasswordHash(password string) string {
	return generateHMAC("streaming", password)
}
